struct GeometryValue
{
  enum { V_none, V_solid, V_dashed, V_dotted };
  enum { V_outer, V_middle, V_inner };
  enum { V_edge, V_arc, V_larc, V_loop };
  enum { V_left, V_right };
  private:

  Optionnal<std::string> StateLabelColor;
  Optionnal<float> StateLabelScale;
  Optionnal<int> StateLineStyle;
  Optionnal<std::string> StateLineWidth;
  Optionnal<std::string> StateLineColor;
  Optionnal<int> StateFillStatus;
  Optionnal<std::string> StateFillColor;
  Optionnal<int> DimStateLineStyle;
  Optionnal<std::string> DimStateLineColor;
  Optionnal<float> DimStateLineCoef;
  Optionnal<std::string> DimStateLabelColor;
  Optionnal<std::string> DimStateFillColor;
  Optionnal<float> StateLineDblCoef;
  Optionnal<float> StateLineDblSep;
  Optionnal<std::string> EdgeLabelColor;
  Optionnal<float> EdgeLabelScale;
  Optionnal<int> EdgeLineStyle;
  Optionnal<std::string> EdgeLineWidth;
  Optionnal<std::string> EdgeLineColor;
  Optionnal<int> ArcAngle;
  Optionnal<int> LArcAngle;
  Optionnal<float> ArcCurvature;
  Optionnal<std::string> EdgeOffset;
  Optionnal<std::string> ArcOffset;
  Optionnal<std::string> LoopOffset;
  Optionnal<float> ForthBackEdgeOffset;
  Optionnal<int> DimEdgeLineStyle;
  Optionnal<float> DimEdgeLineCoef;
  Optionnal<std::string> DimEdgeLineColor;
  Optionnal<std::string> DimEdgeLabelColor;
  Optionnal<int> EdgeBorderCoef;
  Optionnal<std::string> EdgeBorderColor;
  Optionnal<float> EdgeLineDoubleCoefOne;
  Optionnal<float> EdgeLineDoubleCoefTwo;
  Optionnal<std::string> ZZSize;
  Optionnal<float> ZZShape;
  Optionnal<float> ZZLineWidth;
  Optionnal<float> TransLabelZZCoef;
  Optionnal<float> LargeScale;
  Optionnal<float> MediumScale;
  Optionnal<float> SmallScale;
  Optionnal<float> TinyScale;
  Optionnal<std::string> MediumStateDiameter;
  Optionnal<std::string> SmallStateDiameter;
  Optionnal<std::string> LargeStateDiameter;
  Optionnal<std::string> VerySmallStateDiameter;
  Optionnal<float> VSStateLineCoef;
  Optionnal<float> ArrowOnMediumState;
  Optionnal<float> ArrowOnSmallState;
  Optionnal<float> ArrowOnLargeState;
  Optionnal<float> ArrowOnVerySmallState;
  Optionnal<float> LoopOnMediumState;
  Optionnal<float> LoopOnSmallState;
  Optionnal<float> LoopOnLargeState;
  Optionnal<float> LoopOnVariableState;
  Optionnal<float> CLoopOnMediumState;
  Optionnal<float> CLoopOnSmallState;
  Optionnal<float> CLoopOnLargeState;
  Optionnal<float> CLoopOnVariableState;
  Optionnal<float> EdgeLabelPosit;
  Optionnal<float> EdgeLabelRevPosit;
  Optionnal<float> ArcLabelPosit;
  Optionnal<float> ArcLabelRevPosit;
  Optionnal<float> LArcLabelPosit;
  Optionnal<float> LArcLabelRevPosit;
  Optionnal<float> LoopLabelPosit;
  Optionnal<float> LoopLabelRevPosit;
  Optionnal<float> CLoopLabelPosit;
  Optionnal<float> CLoopLabelRevPosit;
  Optionnal<float> InitStateLabelPosit;
  Optionnal<float> InitStateLabelRevPosit;
  Optionnal<float> FinalStateLabelPosit;
  Optionnal<float> FinalStateLabelRevPosit;
  Optionnal<std::string> EdgeArrowWidth;
  Optionnal<float> EdgeArrowLengthCoef;
  Optionnal<std::string> EdgeDblArrowWidth;
  Optionnal<float> EdgeDblArrowLengthCoef;
  Optionnal<float> EdgeArrowInsetCoef;
  Optionnal<std::string> EdgeArrowStyle;
  Optionnal<std::string> EdgeRevArrowStyle;
  Optionnal<int> StateDimen;
  Optionnal<int> StateDblDimen;
  Optionnal<float> left;
  Optionnal<float> bottom;
  Optionnal<float> top;
  Optionnal<float> right;
  Optionnal<std::string> label;
  Optionnal<float> x;
  Optionnal<float> y;
  Optionnal<int> curvature;
  Optionnal<int> curvside;
  Optionnal<std::string> direction;
  Optionnal<bool> doubleline;
  public:

  Optionnal<std::string>& get_StateLabelColor() { return StateLabelColor; }
  const Optionnal<std::string>& get_StateLabelColor() const { return StateLabelColor; }
  Optionnal<float>& get_StateLabelScale() { return StateLabelScale; }
  const Optionnal<float>& get_StateLabelScale() const { return StateLabelScale; }
  Optionnal<int>& get_StateLineStyle() { return StateLineStyle; }
  const Optionnal<int>& get_StateLineStyle() const { return StateLineStyle; }
  Optionnal<std::string>& get_StateLineWidth() { return StateLineWidth; }
  const Optionnal<std::string>& get_StateLineWidth() const { return StateLineWidth; }
  Optionnal<std::string>& get_StateLineColor() { return StateLineColor; }
  const Optionnal<std::string>& get_StateLineColor() const { return StateLineColor; }
  Optionnal<int>& get_StateFillStatus() { return StateFillStatus; }
  const Optionnal<int>& get_StateFillStatus() const { return StateFillStatus; }
  Optionnal<std::string>& get_StateFillColor() { return StateFillColor; }
  const Optionnal<std::string>& get_StateFillColor() const { return StateFillColor; }
  Optionnal<int>& get_DimStateLineStyle() { return DimStateLineStyle; }
  const Optionnal<int>& get_DimStateLineStyle() const { return DimStateLineStyle; }
  Optionnal<std::string>& get_DimStateLineColor() { return DimStateLineColor; }
  const Optionnal<std::string>& get_DimStateLineColor() const { return DimStateLineColor; }
  Optionnal<float>& get_DimStateLineCoef() { return DimStateLineCoef; }
  const Optionnal<float>& get_DimStateLineCoef() const { return DimStateLineCoef; }
  Optionnal<std::string>& get_DimStateLabelColor() { return DimStateLabelColor; }
  const Optionnal<std::string>& get_DimStateLabelColor() const { return DimStateLabelColor; }
  Optionnal<std::string>& get_DimStateFillColor() { return DimStateFillColor; }
  const Optionnal<std::string>& get_DimStateFillColor() const { return DimStateFillColor; }
  Optionnal<float>& get_StateLineDblCoef() { return StateLineDblCoef; }
  const Optionnal<float>& get_StateLineDblCoef() const { return StateLineDblCoef; }
  Optionnal<float>& get_StateLineDblSep() { return StateLineDblSep; }
  const Optionnal<float>& get_StateLineDblSep() const { return StateLineDblSep; }
  Optionnal<std::string>& get_EdgeLabelColor() { return EdgeLabelColor; }
  const Optionnal<std::string>& get_EdgeLabelColor() const { return EdgeLabelColor; }
  Optionnal<float>& get_EdgeLabelScale() { return EdgeLabelScale; }
  const Optionnal<float>& get_EdgeLabelScale() const { return EdgeLabelScale; }
  Optionnal<int>& get_EdgeLineStyle() { return EdgeLineStyle; }
  const Optionnal<int>& get_EdgeLineStyle() const { return EdgeLineStyle; }
  Optionnal<std::string>& get_EdgeLineWidth() { return EdgeLineWidth; }
  const Optionnal<std::string>& get_EdgeLineWidth() const { return EdgeLineWidth; }
  Optionnal<std::string>& get_EdgeLineColor() { return EdgeLineColor; }
  const Optionnal<std::string>& get_EdgeLineColor() const { return EdgeLineColor; }
  Optionnal<int>& get_ArcAngle() { return ArcAngle; }
  const Optionnal<int>& get_ArcAngle() const { return ArcAngle; }
  Optionnal<int>& get_LArcAngle() { return LArcAngle; }
  const Optionnal<int>& get_LArcAngle() const { return LArcAngle; }
  Optionnal<float>& get_ArcCurvature() { return ArcCurvature; }
  const Optionnal<float>& get_ArcCurvature() const { return ArcCurvature; }
  Optionnal<std::string>& get_EdgeOffset() { return EdgeOffset; }
  const Optionnal<std::string>& get_EdgeOffset() const { return EdgeOffset; }
  Optionnal<std::string>& get_ArcOffset() { return ArcOffset; }
  const Optionnal<std::string>& get_ArcOffset() const { return ArcOffset; }
  Optionnal<std::string>& get_LoopOffset() { return LoopOffset; }
  const Optionnal<std::string>& get_LoopOffset() const { return LoopOffset; }
  Optionnal<float>& get_ForthBackEdgeOffset() { return ForthBackEdgeOffset; }
  const Optionnal<float>& get_ForthBackEdgeOffset() const { return ForthBackEdgeOffset; }
  Optionnal<int>& get_DimEdgeLineStyle() { return DimEdgeLineStyle; }
  const Optionnal<int>& get_DimEdgeLineStyle() const { return DimEdgeLineStyle; }
  Optionnal<float>& get_DimEdgeLineCoef() { return DimEdgeLineCoef; }
  const Optionnal<float>& get_DimEdgeLineCoef() const { return DimEdgeLineCoef; }
  Optionnal<std::string>& get_DimEdgeLineColor() { return DimEdgeLineColor; }
  const Optionnal<std::string>& get_DimEdgeLineColor() const { return DimEdgeLineColor; }
  Optionnal<std::string>& get_DimEdgeLabelColor() { return DimEdgeLabelColor; }
  const Optionnal<std::string>& get_DimEdgeLabelColor() const { return DimEdgeLabelColor; }
  Optionnal<int>& get_EdgeBorderCoef() { return EdgeBorderCoef; }
  const Optionnal<int>& get_EdgeBorderCoef() const { return EdgeBorderCoef; }
  Optionnal<std::string>& get_EdgeBorderColor() { return EdgeBorderColor; }
  const Optionnal<std::string>& get_EdgeBorderColor() const { return EdgeBorderColor; }
  Optionnal<float>& get_EdgeLineDoubleCoefOne() { return EdgeLineDoubleCoefOne; }
  const Optionnal<float>& get_EdgeLineDoubleCoefOne() const { return EdgeLineDoubleCoefOne; }
  Optionnal<float>& get_EdgeLineDoubleCoefTwo() { return EdgeLineDoubleCoefTwo; }
  const Optionnal<float>& get_EdgeLineDoubleCoefTwo() const { return EdgeLineDoubleCoefTwo; }
  Optionnal<std::string>& get_ZZSize() { return ZZSize; }
  const Optionnal<std::string>& get_ZZSize() const { return ZZSize; }
  Optionnal<float>& get_ZZShape() { return ZZShape; }
  const Optionnal<float>& get_ZZShape() const { return ZZShape; }
  Optionnal<float>& get_ZZLineWidth() { return ZZLineWidth; }
  const Optionnal<float>& get_ZZLineWidth() const { return ZZLineWidth; }
  Optionnal<float>& get_TransLabelZZCoef() { return TransLabelZZCoef; }
  const Optionnal<float>& get_TransLabelZZCoef() const { return TransLabelZZCoef; }
  Optionnal<float>& get_LargeScale() { return LargeScale; }
  const Optionnal<float>& get_LargeScale() const { return LargeScale; }
  Optionnal<float>& get_MediumScale() { return MediumScale; }
  const Optionnal<float>& get_MediumScale() const { return MediumScale; }
  Optionnal<float>& get_SmallScale() { return SmallScale; }
  const Optionnal<float>& get_SmallScale() const { return SmallScale; }
  Optionnal<float>& get_TinyScale() { return TinyScale; }
  const Optionnal<float>& get_TinyScale() const { return TinyScale; }
  Optionnal<std::string>& get_MediumStateDiameter() { return MediumStateDiameter; }
  const Optionnal<std::string>& get_MediumStateDiameter() const { return MediumStateDiameter; }
  Optionnal<std::string>& get_SmallStateDiameter() { return SmallStateDiameter; }
  const Optionnal<std::string>& get_SmallStateDiameter() const { return SmallStateDiameter; }
  Optionnal<std::string>& get_LargeStateDiameter() { return LargeStateDiameter; }
  const Optionnal<std::string>& get_LargeStateDiameter() const { return LargeStateDiameter; }
  Optionnal<std::string>& get_VerySmallStateDiameter() { return VerySmallStateDiameter; }
  const Optionnal<std::string>& get_VerySmallStateDiameter() const { return VerySmallStateDiameter; }
  Optionnal<float>& get_VSStateLineCoef() { return VSStateLineCoef; }
  const Optionnal<float>& get_VSStateLineCoef() const { return VSStateLineCoef; }
  Optionnal<float>& get_ArrowOnMediumState() { return ArrowOnMediumState; }
  const Optionnal<float>& get_ArrowOnMediumState() const { return ArrowOnMediumState; }
  Optionnal<float>& get_ArrowOnSmallState() { return ArrowOnSmallState; }
  const Optionnal<float>& get_ArrowOnSmallState() const { return ArrowOnSmallState; }
  Optionnal<float>& get_ArrowOnLargeState() { return ArrowOnLargeState; }
  const Optionnal<float>& get_ArrowOnLargeState() const { return ArrowOnLargeState; }
  Optionnal<float>& get_ArrowOnVerySmallState() { return ArrowOnVerySmallState; }
  const Optionnal<float>& get_ArrowOnVerySmallState() const { return ArrowOnVerySmallState; }
  Optionnal<float>& get_LoopOnMediumState() { return LoopOnMediumState; }
  const Optionnal<float>& get_LoopOnMediumState() const { return LoopOnMediumState; }
  Optionnal<float>& get_LoopOnSmallState() { return LoopOnSmallState; }
  const Optionnal<float>& get_LoopOnSmallState() const { return LoopOnSmallState; }
  Optionnal<float>& get_LoopOnLargeState() { return LoopOnLargeState; }
  const Optionnal<float>& get_LoopOnLargeState() const { return LoopOnLargeState; }
  Optionnal<float>& get_LoopOnVariableState() { return LoopOnVariableState; }
  const Optionnal<float>& get_LoopOnVariableState() const { return LoopOnVariableState; }
  Optionnal<float>& get_CLoopOnMediumState() { return CLoopOnMediumState; }
  const Optionnal<float>& get_CLoopOnMediumState() const { return CLoopOnMediumState; }
  Optionnal<float>& get_CLoopOnSmallState() { return CLoopOnSmallState; }
  const Optionnal<float>& get_CLoopOnSmallState() const { return CLoopOnSmallState; }
  Optionnal<float>& get_CLoopOnLargeState() { return CLoopOnLargeState; }
  const Optionnal<float>& get_CLoopOnLargeState() const { return CLoopOnLargeState; }
  Optionnal<float>& get_CLoopOnVariableState() { return CLoopOnVariableState; }
  const Optionnal<float>& get_CLoopOnVariableState() const { return CLoopOnVariableState; }
  Optionnal<float>& get_EdgeLabelPosit() { return EdgeLabelPosit; }
  const Optionnal<float>& get_EdgeLabelPosit() const { return EdgeLabelPosit; }
  Optionnal<float>& get_EdgeLabelRevPosit() { return EdgeLabelRevPosit; }
  const Optionnal<float>& get_EdgeLabelRevPosit() const { return EdgeLabelRevPosit; }
  Optionnal<float>& get_ArcLabelPosit() { return ArcLabelPosit; }
  const Optionnal<float>& get_ArcLabelPosit() const { return ArcLabelPosit; }
  Optionnal<float>& get_ArcLabelRevPosit() { return ArcLabelRevPosit; }
  const Optionnal<float>& get_ArcLabelRevPosit() const { return ArcLabelRevPosit; }
  Optionnal<float>& get_LArcLabelPosit() { return LArcLabelPosit; }
  const Optionnal<float>& get_LArcLabelPosit() const { return LArcLabelPosit; }
  Optionnal<float>& get_LArcLabelRevPosit() { return LArcLabelRevPosit; }
  const Optionnal<float>& get_LArcLabelRevPosit() const { return LArcLabelRevPosit; }
  Optionnal<float>& get_LoopLabelPosit() { return LoopLabelPosit; }
  const Optionnal<float>& get_LoopLabelPosit() const { return LoopLabelPosit; }
  Optionnal<float>& get_LoopLabelRevPosit() { return LoopLabelRevPosit; }
  const Optionnal<float>& get_LoopLabelRevPosit() const { return LoopLabelRevPosit; }
  Optionnal<float>& get_CLoopLabelPosit() { return CLoopLabelPosit; }
  const Optionnal<float>& get_CLoopLabelPosit() const { return CLoopLabelPosit; }
  Optionnal<float>& get_CLoopLabelRevPosit() { return CLoopLabelRevPosit; }
  const Optionnal<float>& get_CLoopLabelRevPosit() const { return CLoopLabelRevPosit; }
  Optionnal<float>& get_InitStateLabelPosit() { return InitStateLabelPosit; }
  const Optionnal<float>& get_InitStateLabelPosit() const { return InitStateLabelPosit; }
  Optionnal<float>& get_InitStateLabelRevPosit() { return InitStateLabelRevPosit; }
  const Optionnal<float>& get_InitStateLabelRevPosit() const { return InitStateLabelRevPosit; }
  Optionnal<float>& get_FinalStateLabelPosit() { return FinalStateLabelPosit; }
  const Optionnal<float>& get_FinalStateLabelPosit() const { return FinalStateLabelPosit; }
  Optionnal<float>& get_FinalStateLabelRevPosit() { return FinalStateLabelRevPosit; }
  const Optionnal<float>& get_FinalStateLabelRevPosit() const { return FinalStateLabelRevPosit; }
  Optionnal<std::string>& get_EdgeArrowWidth() { return EdgeArrowWidth; }
  const Optionnal<std::string>& get_EdgeArrowWidth() const { return EdgeArrowWidth; }
  Optionnal<float>& get_EdgeArrowLengthCoef() { return EdgeArrowLengthCoef; }
  const Optionnal<float>& get_EdgeArrowLengthCoef() const { return EdgeArrowLengthCoef; }
  Optionnal<std::string>& get_EdgeDblArrowWidth() { return EdgeDblArrowWidth; }
  const Optionnal<std::string>& get_EdgeDblArrowWidth() const { return EdgeDblArrowWidth; }
  Optionnal<float>& get_EdgeDblArrowLengthCoef() { return EdgeDblArrowLengthCoef; }
  const Optionnal<float>& get_EdgeDblArrowLengthCoef() const { return EdgeDblArrowLengthCoef; }
  Optionnal<float>& get_EdgeArrowInsetCoef() { return EdgeArrowInsetCoef; }
  const Optionnal<float>& get_EdgeArrowInsetCoef() const { return EdgeArrowInsetCoef; }
  Optionnal<std::string>& get_EdgeArrowStyle() { return EdgeArrowStyle; }
  const Optionnal<std::string>& get_EdgeArrowStyle() const { return EdgeArrowStyle; }
  Optionnal<std::string>& get_EdgeRevArrowStyle() { return EdgeRevArrowStyle; }
  const Optionnal<std::string>& get_EdgeRevArrowStyle() const { return EdgeRevArrowStyle; }
  Optionnal<int>& get_StateDimen() { return StateDimen; }
  const Optionnal<int>& get_StateDimen() const { return StateDimen; }
  Optionnal<int>& get_StateDblDimen() { return StateDblDimen; }
  const Optionnal<int>& get_StateDblDimen() const { return StateDblDimen; }
  Optionnal<float>& get_left() { return left; }
  const Optionnal<float>& get_left() const { return left; }
  Optionnal<float>& get_bottom() { return bottom; }
  const Optionnal<float>& get_bottom() const { return bottom; }
  Optionnal<float>& get_top() { return top; }
  const Optionnal<float>& get_top() const { return top; }
  Optionnal<float>& get_right() { return right; }
  const Optionnal<float>& get_right() const { return right; }
  Optionnal<std::string>& get_label() { return label; }
  const Optionnal<std::string>& get_label() const { return label; }
  Optionnal<float>& get_x() { return x; }
  const Optionnal<float>& get_x() const { return x; }
  Optionnal<float>& get_y() { return y; }
  const Optionnal<float>& get_y() const { return y; }
  Optionnal<int>& get_curvature() { return curvature; }
  const Optionnal<int>& get_curvature() const { return curvature; }
  Optionnal<int>& get_curvside() { return curvside; }
  const Optionnal<int>& get_curvside() const { return curvside; }
  Optionnal<std::string>& get_direction() { return direction; }
  const Optionnal<std::string>& get_direction() const { return direction; }
  Optionnal<bool>& get_doubleline() { return doubleline; }
  const Optionnal<bool>& get_doubleline() const { return doubleline; }
};
